Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

updating requirejs

  • Loading branch information...
commit 7b3a24b978ae2c5eb66bfd2d88a059bc4ac477d8 1 parent 5efff57
@dbashford authored
Showing with 7 additions and 4 deletions.
  1. +5 −2 config.coffee
  2. +2 −2 package.json
View
7 config.coffee
@@ -27,7 +27,11 @@ exports.placeholder = ->
# make tweaks uncomment this line and add the r.js config
# (http://requirejs.org/docs/optimization.html#options) as new
# paramters inside the overrides ojbect. To unset Mimosa's defaults,
- # set a property to null
+ # set a property to null.
+ #
+ # overrides can also be a function that takes mimosa-require's
+ # inferred config for each module. This allows the inferred config
+ # to be updated and enhanced instead of just overridden.
"""
exports.validate = (config, validators) ->
@@ -36,7 +40,6 @@ exports.validate = (config, validators) ->
if validators.ifExistsIsObject(errors, "require.verify", config.require.verify)
validators.ifExistsIsBoolean(errors, "require.verify.enabled", config.require.verify.enabled)
-
if validators.ifExistsIsObject(errors, "require.optimize", config.require.optimize)
validators.ifExistsIsBoolean(errors, "require.optimize.inferConfig", config.require.optimize.inferConfig)
if config.require.optimize.overrides?
View
4 package.json
@@ -1,6 +1,6 @@
{
"name": "mimosa-require",
- "version": "0.6.2",
+ "version": "0.6.3",
"homepage": "http://www.mimosajs.com",
"author": "David Bashford",
"description": "AMD/RequireJS module for Mimosa browser development workflow tool",
@@ -28,7 +28,7 @@
"mmodule"
],
"dependencies": {
- "requirejs": "2.1.2",
+ "requirejs": "2.1.4",
"lodash": "1.0.0-rc.3",
"logmimosa": "0.3.1",
"uglify-js": "1.3.4",
Please sign in to comment.
Something went wrong with that request. Please try again.